%define build_gir  0

%define lname   osmgpsmap
%define oname   osm-gps-map

%define major      2
%define gir_major  1.0

%define libname  %mklibname %{lname} %{major}
%define devname  %mklibname %{lname} -d
%define gir_name %mklibname %{lname}-gir %{gir_major}

Name:           %{oname}0.7
Version:        0.7.3
Release:        %mkrel 13
Summary:        Gtk+ widget for displaying OpenStreetMap tiles
Group:          System/Libraries
License:        GPLv2
URL:            http://nzjrs.github.com/osm-gps-map/
Source0:        http://www.johnstowers.co.nz/files/%{oname}/%{oname}-%{version}.tar.gz
Patch0:         osm-gps-map-0.7.3-linkage.patch
Patch1:	        fix-introspection.diff
Patch2:		osm-gps-map-0.7.3-MSG_RESPONSE_LEN_FORMAT.patch
BuildRequires:	gnome-common
BuildRequires:  pkgconfig(gtk+-2.0) >= 2.14
BuildRequires:	pkgconfig(libsoup-2.4)

%if %{build_gir}
BuildRequires:	pkgconfig(gobject-introspection-1.0)
%endif

%description
A Gtk+ widget that when given GPS co-ordinates, draws a GPS track, and
points of interest on a moving map display. Downloads map data from a
number of websites, including openstreetmap.org.

%if %{build_gir}
%package -n %{gir_name}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}
Conflicts:      %{_lib}osm-gps-map1.0-gir1.0 < 1.29.3-4

%description -n %{gir_name}
GObject Introspection interface description for %{name}.
%endif

%package -n %{libname}
Summary:        Gtk+ widget for displaying OpenStreetMap tiles
Group:          System/Libraries

%description -n %{libname}
A Gtk+ widget that when given GPS co-ordinates, draws a GPS track, and
points of interest on a moving map display. Downloads map data from a
number of websites, including openstreetmap.org.

%package -n %{devname}
Summary:        Development files for the %{name} Gtk+ widget
Group:          Development/Other
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       %{lname}-devel = %{version}-%{release}
Provides:       lib%{lname}-devel = %{version}-%{release}

%description -n %{devname}
The development files for the %{name} Gtk+ widget.

%prep
%setup -q -n %{oname}-%{version}
%autopatch -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure \
        --disable-static \
%if %{build_gir}
        --enable-introspection
%else
        --disable-introspection
%endif

%make_build V=1

%install
%make_install

#missing headers
install -Dpm644 src/osd-utils.h %{buildroot}%{_includedir}/%{lname}/osd-utils.h

#handle docs inf files section
rm -rf %{buildroot}/usr/doc/osm-gps-map

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%doc AUTHORS README NEWS
%{_libdir}/lib%{lname}.so.%{major}{,.*}

%files -n %{devname}
%doc %{_datadir}/gtk-doc/html/lib%{lname}
%{_includedir}/%{lname}/
%{_libdir}/lib%{lname}.so
%{_libdir}/pkgconfig/%{lname}.pc

%if %{build_gir}
%files -n %{gir_name}
%{_libdir}/girepository-1.0/*-%{gir_major}.typelib
%{_datadir}/gir-1.0/*-%{gir_major}.gir
%endif


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.7.3-13.mga8
+ Revision: 1515738
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.7.3-12.mga7
+ Revision: 1300067
- Mageia 7 Mass Rebuild

* Mon Jun 25 2018 wally <wally> 0.7.3-11.mga7
+ Revision: 1239600
- update -Werror-format= patch
- rediff linking patch
- add patch to fix build with -Werror-format=
- fix build on aarch64
+ kekepower <kekepower>
- Use new make macros

* Mon Feb 08 2016 umeabot <umeabot> 0.7.3-9.mga6
+ Revision: 946315
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.7.3-8.mga5
+ Revision: 746653
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.3-7.mga5
+ Revision: 683280
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.7.3-6.mga4
+ Revision: 534771
- Mageia 4 Mass Rebuild

* Sat Sep 14 2013 wally <wally> 0.7.3-5.mga4
+ Revision: 478773
- add some missing headers to devel pkg to build darktable with system osm-gps-map

* Thu Jul 04 2013 wally <wally> 0.7.3-4.mga4
+ Revision: 450123
- rename source pkg as osm-gps-map0.7
- disable introspection for now
- clean .spec a bit

* Fri May 24 2013 tv <tv> 0.7.3-3.mga4
+ Revision: 426309
- enable introspection for gramps
- fix introspection

* Sun Jan 13 2013 umeabot <umeabot> 0.7.3-2.mga3
+ Revision: 362235
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 13 2011 wally <wally> 0.7.3-1.mga2
+ Revision: 142979
- imported package osm-gps-map

